var current = 0;
var next = 1;
var prev = 1;

var departure_area = null;
var departure_city = null;

var destination_area = null;
var destination_city = null;

var per_year_trips = null;
var per_trip_year = null;
var currency = 1;
var salary = null;

var aa = null;
var ab = 0.10334;
var ac = 0.0016714;
var ad = 0.11;
var ae = 0.293;
var af = null;

var ba = null;
var bb = null;
var bc = null;

var ca = null;
var cb = null;
var cc = null;
var cd = null;

var da = null;
var db = null;
var dc = null;
var dd = null;

var ea = null;
var eb = null;
var ec = null;
var ed = null;

var fa = null;
var fb = null;
var fc = null;

var ga = null;

var ha = 21000;


function addFigure(str) {
    if (str == '' || str == null) return ''; 
    
    var num = new String(str).replace(/,/g, "");
    while(num != (num = num.replace(/^(-?\d+)(\d{3})/, "$1,$2")));
    return num;
}

var LeftNavi = function() {
};
LeftNavi.prototype = {
    on: function() {
        $('#leftnavi img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'pointer')
            .attr('src', 'images/common/leftnavi_d.png')
            .hover(function () {
                $(this).attr('src', 'images/common/leftnavi_on.png');
            },function () {
                $(this).attr('src', 'images/common/leftnavi_d.png');
            })
            .click(function(){
                next = prev;
                
                Controller.prototype.dispatch();
            });
    },
    off: function() {
        $('#leftnavi img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'default')
            .attr('src', 'images/common/leftnavi_off.png');
    }
};

var RightNavi = function() {
};
RightNavi.prototype = {
    on: function() {
        $('#rightnavi img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'pointer')
            .attr('src', 'images/common/rightnavi_d.png')
            .hover(function () {
                $(this).attr('src', 'images/common/rightnavi_on.png');
            },function () {
                $(this).attr('src', 'images/common/rightnavi_d.png');
            })
            .click(function(){
                Controller.prototype.dispatch();
            });
    },
    off: function() {
        $('#rightnavi img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'default')
            .attr('src', 'images/common/rightnavi_off.png');
    }
};

var SecondButton = function() {
};
SecondButton.prototype = {
    on: function() {
        $('#secondbutton img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'pointer')
            .attr('src', 'images/02/btn01_d.png')
            .hover(function () {
                $(this).attr('src', 'images/02/btn01_on.png');
            },function () {
                $(this).attr('src', 'images/02/btn01_d.png');
            })
            .click(function(){
                Controller.prototype.dispatch();
            });
    },
    off: function() {
        $('#secondbutton img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'default')
            .attr('src', 'images/02/btn01_off.png');
    }
};

var ThirdButton = function() {
};
ThirdButton.prototype = {
    on: function() {
        $('#thirdbutton img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'pointer')
            .attr('src', 'images/03/btn01_d.png')
            .hover(function () {
                $(this).attr('src', 'images/03/btn01_on.png');
            },function () {
                $(this).attr('src', 'images/03/btn01_d.png');
            })
            .click(function(){
                Controller.prototype.dispatch();
            });
    },
    off: function() {
        $('#thirdbutton img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'default')
            .attr('src', 'images/03/btn01_off.png');
    }
};

var HelpButton = function() {
};
HelpButton.prototype = {
    set: function() {
        $('p.help img')
            .css('cursor', 'pointer')
            .hover(function () {
                $(this).attr('src', 'images/common/help_btn_on.png');
            },function () {
                $(this).attr('src', 'images/common/help_btn_d.png');
            })
            .click(function(){
                $('#help').show().html(_.template($('#help-template').html(), {}));
                
                $('#help_close img')
                    .css('cursor', 'pointer')
                    .hover(function () {
                        $(this).attr('src', 'images/help/btn_close_on.png');
                    },function () {
                        $(this).attr('src', 'images/help/btn_close_d.png');
                    })
                    .click(function(){
                        $('#help').empty().hide();
                    });
                 
                 HelpButton.prototype.nextOn();
                 HelpButton.prototype.prevOff();
            });
    }, 
    nextOn: function() {
        $('#help_next img')
            .css('cursor', 'pointer')
            .attr('src', 'images/help/btn_next_d.png')
            .hover(function () {
                $(this).attr('src', 'images/help/btn_next_on.png');
            },function () {
                $(this).attr('src', 'images/help/btn_next_d.png');
            })
            .click(function(){
                $('#help_page01').hide();
                $('#help_page02').show();
                
                HelpButton.prototype.nextOff();
                HelpButton.prototype.prevOn();
            });
    },
    nextOff: function() {
        $('#help_next img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'default')
            .attr('src', 'images/help/btn_next_off.png');
    },
    prevOn: function() {
        $('#help_preview img')
            .css('cursor', 'pointer')
            .attr('src', 'images/help/btn_preview_d.png')
            .hover(function () {
                $(this).attr('src', 'images/help/btn_preview_on.png');
            },function () {
                $(this).attr('src', 'images/help/btn_preview_d.png');
            })
            .click(function(){
                $('#help_page01').show();
                $('#help_page02').hide();
                
                HelpButton.prototype.nextOn();
                HelpButton.prototype.prevOff();
            });
    },
    prevOff: function() {
        $('#help_preview img')
            .unbind('click')
            .unbind("mouseenter")
            .unbind("mouseleave")
            .css('cursor', 'default')
            .attr('src', 'images/help/btn_preview_off.png');
    }
};


var Controller = function() {
};
Controller.prototype = {
    dispatch: function() {
        
        var a;
        
        switch (next) {
            case 1:
                a = new Action1();
                a.view();
                break;
            case 2:
                a = new Action2();
                a.view();
                break;
            case 3:
                a = new Action3();
                a.view();
                break;
            case 4:
                a = new Action4();
                a.view();
                break;
            case 5:
                a = new Action5();
                a.view();
                break;
        }
    }
};

var Action1 = function() {
};
Action1.prototype = {
    view: function() {
        current = 1;
        next = 2;
        prev = 1;
        
        $('#inner').html(_.template($('#page01-template').html(), {}));
        
        //Help
        $('#help').empty().hide();
        
        //side navigation
        LeftNavi.prototype.off();
        RightNavi.prototype.on();
        
        // main
        $('#page01 p.btn01 img').hover(function () {
            $(this).attr('src', 'images/01/btn_on.png');
        },function () {
            $(this).attr('src', 'images/01/btn_d.png');
        })
        .css('cursor', 'pointer')
        .click(function(){
            Controller.prototype.dispatch();
        });
    }
};

var Action2 = function() {
};
Action2.prototype = {
    view: function() {
        current = 2;
        next = 3;
        prev = 1;
        
        $('#inner').html(_.template($('#page02-template').html(), {dep_a: departure_area, dep_c: departure_city, des_a: destination_area, des_c: destination_city}));
        $('form').jqTransform({imgPath:'jqtransformplugin/img/'});
        
        //small exception
        $('.jqTransformSelectWrapper').css('width', '171px');
        $('.jqTransformSelectWrapper ul').css('width', '169px');
        $('#dep-area div.jqTransformSelectWrapper ul').css('height', '140px');
        $('#des-area div.jqTransformSelectWrapper ul').css('height', '140px');
        
        //Help
        $('#help').empty().hide();
        HelpButton.prototype.set();
        
        //side navigation
        LeftNavi.prototype.on();
        RightNavi.prototype.off();
        SecondButton.prototype.off();
        
        if (departure_area != null && departure_city != null && destination_area != null && destination_city != null) {
            RightNavi.prototype.on();
            SecondButton.prototype.on();
        }
        
        //Departure 
        $('#dep-city0').parents('.jqTransformSelectWrapper').hide();
        $('#dep-city1').parents('.jqTransformSelectWrapper').hide();
        $('#dep-city2').parents('.jqTransformSelectWrapper').hide();
        $('#dep-city3').parents('.jqTransformSelectWrapper').hide();
        $('#dep-city4').parents('.jqTransformSelectWrapper').hide();
        $('#dep-city5').parents('.jqTransformSelectWrapper').hide();
        $('#dep-city6').parents('.jqTransformSelectWrapper').hide();

        if (departure_area == null) {
            departure_city = null;
            $('#dep-city0').parents('.jqTransformSelectWrapper').show();
        } else {
            $('#dep-city' + String(departure_area)).parents('.jqTransformSelectWrapper').show();
        }
        
        $('#dep-area div.jqTransformSelectWrapper ul li a').click(function(){
            var i = $(this).attr('index');
            
            if (i != 0) {
                
                $('#dep-city0').parents('.jqTransformSelectWrapper').hide();
                $('#dep-city1').parents('.jqTransformSelectWrapper').hide();
                $('#dep-city2').parents('.jqTransformSelectWrapper').hide();
                $('#dep-city3').parents('.jqTransformSelectWrapper').hide();
                $('#dep-city4').parents('.jqTransformSelectWrapper').hide();
                $('#dep-city5').parents('.jqTransformSelectWrapper').hide();
                $('#dep-city6').parents('.jqTransformSelectWrapper').hide();
                
                $('#dep-city' + String(i)).prev().prev().children('span').html('selectionnez...');
                $('#dep-city' + String(i)).parents('.jqTransformSelectWrapper').show();
                
                departure_area = i;
                departure_city = null;
                
            } else {
                $('#dep-city div.jqTransformSelectWrapper ul li').hide();
                $('#dep-city div.jqTransformSelectWrapper div span').html('selectionnez...');
            }
            
            RightNavi.prototype.off();
            SecondButton.prototype.off();
        });
        
        $('#dep-city div.jqTransformSelectWrapper ul li a').click(function(){
            var i = $(this).attr('index');
            if (i == 0) i = null;
            
            departure_city = i;
            
            if (departure_area != null && departure_city != null && destination_area != null && destination_city != null) {
                if (!(departure_area == destination_area && departure_city == destination_city)) {
                    RightNavi.prototype.on();
                    SecondButton.prototype.on();
                } else {
                    RightNavi.prototype.off();
                    SecondButton.prototype.off();
                    alert('You can not choose the same city.');
                }
            } else {
                RightNavi.prototype.off();
                SecondButton.prototype.off();
            }
        });
        
        //Destination 
        $('#des-city0').parents('.jqTransformSelectWrapper').hide();
        $('#des-city1').parents('.jqTransformSelectWrapper').hide();
        $('#des-city2').parents('.jqTransformSelectWrapper').hide();
        $('#des-city3').parents('.jqTransformSelectWrapper').hide();
        $('#des-city4').parents('.jqTransformSelectWrapper').hide();
        $('#des-city5').parents('.jqTransformSelectWrapper').hide();
        $('#des-city6').parents('.jqTransformSelectWrapper').hide();

        if (destination_area == null) {
            destination_city = null;
            $('#des-city0').parents('.jqTransformSelectWrapper').show();
        } else {
            $('#des-city' + String(destination_area)).parents('.jqTransformSelectWrapper').show();
        }
        
        $('#des-area div.jqTransformSelectWrapper ul li a').click(function(){
            var i = $(this).attr('index');
            
            if (i != 0) {
                
                $('#des-city0').parents('.jqTransformSelectWrapper').hide();
                $('#des-city1').parents('.jqTransformSelectWrapper').hide();
                $('#des-city2').parents('.jqTransformSelectWrapper').hide();
                $('#des-city3').parents('.jqTransformSelectWrapper').hide();
                $('#des-city4').parents('.jqTransformSelectWrapper').hide();
                $('#des-city5').parents('.jqTransformSelectWrapper').hide();
                $('#des-city6').parents('.jqTransformSelectWrapper').hide();
                
                $('#des-city' + String(i)).prev().prev().children('span').html('selectionnez...');
                $('#des-city' + String(i)).parents('.jqTransformSelectWrapper').show();
                
                destination_area = i;
                destination_city = null;
                
            } else {
                $('#des-city div.jqTransformSelectWrapper ul li').hide();
                $('#des-city div.jqTransformSelectWrapper div span').html('selectionnez...');
            }
            
            RightNavi.prototype.off();
            SecondButton.prototype.off();
        });
        
        $('#des-city div.jqTransformSelectWrapper ul li a').click(function(){
            var i = $(this).attr('index');
            if (i == 0) i = null;
            
            destination_city = i;
            
            if (departure_area != null && departure_city != null && destination_area != null && destination_city != null) {
                if (!(departure_area == destination_area && departure_city == destination_city)) {
                    RightNavi.prototype.on();
                    SecondButton.prototype.on();
                } else {
                    RightNavi.prototype.off();
                    SecondButton.prototype.off();
                    alert('You can not choose the same city');
                }
            } else {
                RightNavi.prototype.off();
                SecondButton.prototype.off();
            }
        });
    }
};


var Action3 = function() {
};
Action3.prototype = {
    view: function() {
        current = 3;
        next = 4;
        prev = 2;
        
        $('#inner').html(_.template($('#page03-template').html(), {times: per_year_trips, people: per_trip_year, currency: currency, salary: addFigure(salary), departure:DEFINE_CITY[departure_area][departure_city], destination:DEFINE_CITY[destination_area][destination_city]}));
        $('form').jqTransform({imgPath:'jqtransformplugin/img/'});
        
        $('.jqTransformSelectWrapper ul').css({'height': '125px'});
        
        //Help
        $('#help').empty().hide();
        HelpButton.prototype.set();
        
        //side navigation
        LeftNavi.prototype.on();
        RightNavi.prototype.off();
        
        $('input[name=times]').keyup(function(){
            if (!isNaN($(this).val())) {
                per_year_trips = $(this).val();
                Action3.prototype.calc();
            } else {
                alert('Only a numerical value can be inputted.');
                per_year_trips = null;
                $(this).val('');
            }
        });
        
        $('input[name=people]').keyup(function(){
            if (!isNaN($(this).val())) {
                per_trip_year = $(this).val();
                Action3.prototype.calc();
            } else {
                alert('Only a numerical value can be inputted.');
                per_trip_year = null;
                $(this).val('');
            }
        });
        
        $('#currency div.jqTransformSelectWrapper ul li a').click(function(){
            currency = $(this).attr('index');
            
            $('.currency_view').html(DEFINE_CURRENCY[currency]);
            
            Action3.prototype.calc();
        });
        
        $('input[name=salary]').keyup(function(){
            $(this).val($(this).val().split(',').join(''));
            
            if (!isNaN($(this).val())) {
                salary = $(this).val().split(',').join('');
                
                $(this).val(addFigure(salary));
                
                Action3.prototype.calc();
            } else {
                alert('Only a numerical value can be inputted.');
                salary = null;
                $(this).val('');
            }
        });
        
        Action3.prototype.calc();
    },
    calc: function() {
        ThirdButton.prototype.off();
        RightNavi.prototype.off();
        
        
        if (per_year_trips != null && per_trip_year != null && currency != null && salary > 0) {
            $('.currency_view').html(DEFINE_CURRENCY[currency]);
            
            var dep_area = departure_area;
            var dep_city = departure_city;
            var des_area = destination_area;
            var des_city = destination_city;
            
            if (Number(departure_area) < Number(destination_area)) {
                dep_area = destination_area;
                dep_city = destination_city;
                des_area = departure_area;
                des_city = departure_city;
            } else if (departure_area == destination_area && Number(departure_city) < Number(destination_city)) {
                dep_area = destination_area;
                dep_city = destination_city;
                des_area = departure_area;
                des_city = departure_city;             
            }
            
            switch (dep_area) {
                case '1':
                    break;
                case '2':
                    dep_city = Number(dep_city) + 8;
                    break;
                case '3':
                    dep_city = Number(dep_city) + 8 + 5;
                    break;
                case '4':
                    dep_city = Number(dep_city) + 8 + 5 + 21;
                    break;
                case '5':
                    dep_city = Number(dep_city) + 8 + 5 + 21 + 15;
                    break;
            }
            
            switch (des_area) {
                case '1':
                    break;
                case '2':
                    des_city = Number(des_city) + 8;
                    break;
                case '3':
                    des_city = Number(des_city) + 8 + 5;
                    break;
                case '4':
                    des_city = Number(des_city) + 8 + 5 + 21;
                    break;
                case '5':
                    des_city = Number(des_city) + 8 + 5 + 21 + 15;
                    break;
            }
            
            //aa
            var posDep = new google.maps.LatLng(DEFINE_POINT[departure_area][departure_city][0],DEFINE_POINT[departure_area][departure_city][1]);
            var posDes = new google.maps.LatLng(DEFINE_POINT[destination_area][destination_city][0],DEFINE_POINT[destination_area][destination_city][1]);
            aa = google.maps.geometry.spherical.computeDistanceBetween(posDep, posDes) / 1000;
            
            //af
            af = DEFINE_CURRENCY_RATE[currency];
            
            //b
            ba = aa * ab;
            bb = aa * ac;
            bc = aa * ad;
            
            //c
            ca = per_year_trips;
            cb = per_trip_year;
            cc = salary;
            
            //d
            da = ba * 2;
            db = mapping[dep_city][des_city] * (cc / 1920);
            dc = mapping[dep_city][des_city];
            dd = bc * 2;
            
            
            //da_view
            var da_view = da * af;
            $({someValue: 0}).animate({someValue: da_view}, {
                duration: 600,
                step: function() {
                    $('#da_view').text(addFigure(Math.round(this.someValue)));
                },
                complete:function() {
                    $('#da_view').text(addFigure(Math.round(da_view)));
                }
            });
            
            //db_view
            var db_view = db;
            $({someValue: 0}).animate({someValue: db_view}, {
                duration: 600,
                step: function() {
                    $('#db_view').text(addFigure(Math.round(this.someValue)));
                },
                complete:function() {
                    $('#db_view').text(addFigure(Math.round(db_view)));
                }
            });
            
            //dc_view
            var dc_view = dc;
            $({someValue: 0}).animate({someValue: dc_view}, {
                duration: 600,
                step: function() {
                    $('#dc_view').text(addFigure(Math.round(this.someValue)));
                },
                complete:function() {
                    $('#dc_view').text(addFigure(Math.round(dc_view)));
                }
            });
            
            //dd_view
            var dd_view = dd;
            $({someValue: 0}).animate({someValue: dd_view}, {
                duration: 600,
                step: function() {
                    $('#dd_view').text(addFigure(Math.round(this.someValue)));
                }, 
                complete: function(){
                    $('#dd_view').text(addFigure(Math.round(dd_view)));
                    
                    ThirdButton.prototype.on();
                    RightNavi.prototype.on();
                }
            });
            
        } else {
            ThirdButton.prototype.off();
            RightNavi.prototype.off();
        }
    }
};

var Action4 = function() {
};
Action4.prototype = {
    view: function() {
        current = 4;
        next = 5;
        prev = 3;
        
        var dep_area = departure_area;
        var dep_city = departure_city;
        var des_area = destination_area;
        var des_city = destination_city;

        if (Number(departure_area) < Number(destination_area)) {
            dep_area = destination_area;
            dep_city = destination_city;
            des_area = departure_area;
            des_city = departure_city;
        } else if (departure_area == destination_area && Number(departure_city) < Number(destination_city)) {
            dep_area = destination_area;
            dep_city = destination_city;
            des_area = departure_area;
            des_city = departure_city;             
        }

        switch (dep_area) {
            case '1':
                break;
            case '2':
                dep_city = Number(dep_city) + 8;
                break;
            case '3':
                dep_city = Number(dep_city) + 8 + 5;
                break;
            case '4':
                dep_city = Number(dep_city) + 8 + 5 + 21;
                break;
            case '5':
                dep_city = Number(dep_city) + 8 + 5 + 21 + 15;
                break;
        }

        switch (des_area) {
            case '1':
                break;
            case '2':
                des_city = Number(des_city) + 8;
                break;
            case '3':
                des_city = Number(des_city) + 8 + 5;
                break;
            case '4':
                des_city = Number(des_city) + 8 + 5 + 21;
                break;
            case '5':
                des_city = Number(des_city) + 8 + 5 + 21 + 15;
                break;
        }
        
        
        //calc
        //e
        ea = 2 * ba * ca * cb;
        eb = mapping[dep_city][des_city] * ca * cb * (cc / 1920);
        ec = mapping[dep_city][des_city] * ca;
        ed = 2 * bc * ca;
        
        //f
        fa = 2 * ca * cb * (cc / 1920);
        fb = 2 * ca;
        fc = 2 * ae * 2 * ca;
        $('#inner').html(_.template($('#page04-template').html(), {
            ea_view: addFigure(Math.round(ea * af)) + '<span class="unit">' + DEFINE_CURRENCY[currency] + '</span>',
            ea_view_sub: '0<span class="unit">' + DEFINE_CURRENCY[currency] + '</span>',
            eb_view: addFigure(Math.round(eb)) + '<span class="unit">' + DEFINE_CURRENCY[currency] + '</span>',
            fa_view: addFigure(Math.round(fa)) + '<span class="unit">' + DEFINE_CURRENCY[currency] + '</span>',
            ec_view: addFigure(Math.round(ec)),
            fb_view: addFigure(Math.round(fb)),
            ed_view: addFigure(Math.round(ed)),
            fc_view: addFigure(Math.round(fc))
        }));
        
        //Animation
        $('#visual01').animate({height: '100%'}, {duration: 2000});
        $({someValue: 0}).animate({someValue: 100}, {
                duration: 2000,
                step: function() {
                    $('#page05 div.box01 div.cut p').text('Economisez ' + Math.ceil(this.someValue) + '%');
                }
        });
        
        var per2 = 100 - (fa / eb * 100);
        $('#visual02').animate({height: Math.ceil(per2) + '%'}, {duration: 2000});
        $({someValue: 0}).animate({someValue: Math.ceil(per2)}, {
                duration: 2000,
                step: function() {
                    $('#page05 div.box02 div.cut p').text('Economisez ' + Math.ceil(this.someValue) + '%');
                }
        });
        
        var per3 = 100 - (fb / ec * 100);
        $('#visual03').animate({height: Math.ceil(per3) + '%'}, {duration: 2000});
        $({someValue: 0}).animate({someValue: Math.ceil(per3)}, {
                duration: 2000,
                step: function() {
                    $('#page05 div.box03 div.cut p').text('Economisez ' + Math.ceil(this.someValue) + '%');
                }
        });
        
        var per4 = 100 - (fc / ed * 100);
        $('#visual04').animate({height: Math.ceil(per4) + '%'}, {duration: 2000});
        $({someValue: 0}).animate({someValue: Math.ceil(per4)}, {
                duration: 2000,
                step: function() {
                    if (Math.ceil(this.someValue) == 100) {
                        $('#page05 div.box04 div.cut p').text('Economisez 99.9%');
                    } else {
                        $('#page05 div.box04 div.cut p').text('Economisez ' + Math.ceil(this.someValue) + '%');
                    }
                    
                },
                complete: function(){
                    if (Math.ceil(this.someValue) == 100) {
                        $('#page05 div.box04 div.cut p').text('Economisez 99.9%');
                    }
                }
        });
        
        
        //Help
        $('#help').empty().hide();
        HelpButton.prototype.set();
        
        //side navigation
        LeftNavi.prototype.on();
        RightNavi.prototype.on();
        
        
        // main
        $('#page05 p.btn01 img').hover(function () {
            $(this).attr('src', 'images/05/btn01_on.png');
        },function () {
            $(this).attr('src', 'images/05/btn01_d.png');
        })
        .css('cursor', 'pointer')
        .click(function(){
            Controller.prototype.dispatch();
        });
    }
};

var Action5 = function() {
};
Action5.prototype = {
    view: function() {
        current = 5;
        next = 1;
        prev = 4;
        
        //calc
        ga = ea * af + eb;
        var result = (ha * af) / ((ga - fa) / 12);
        
        $('#inner').html(_.template($('#page05-template').html(), {result: result.toFixed(2), price: addFigure(Math.round(ha * af)), unit: DEFINE_CURRENCY[currency]}));
        $('form').jqTransform({imgPath:'jqtransformplugin/img/'});
        
        $(' form.jqtransformdone div.box01 div.jqTransformInputWrapper').css({'float': 'none', 'width': '110px', 'display': 'inline-block'});
        
        //Help
        $('#help').empty().hide();
        HelpButton.prototype.set();
        
        //side navigation
        LeftNavi.prototype.on();
        RightNavi.prototype.off();
        
        // Animation
        $('.graph02 img').delay(500).animate({
            'left': '0px',
            'top': '0px'
        }, 500);
        $('.graph01 img').delay(1300).animate({
            'left': '0px',
            'top': '0px'
        }, 500);
        $('.graph03').delay(2000).fadeIn(700);
        $('.box01').delay(3500).fadeIn(1200);
        
        $('input[name=hdvc]').keyup(function(){
            var price = $(this).val().split(',').join('');
            if (!isNaN(price)) {
                $(this).val(addFigure(price));
                
                result = price / ((ga - fa) / 12);
                
                $({someValue: 0}).animate({someValue: result}, {
                    duration: 600,
                    step: function() {
                        $('p.result').html(this.someValue.toFixed(2) + '<span class="unit">month period</span>');
                    },
                    complete:function() {
                        $('p.result').html(result.toFixed(2) + '<span class="unit">month period</span>');
                    }
                });
                
            } else {
                alert('Only a numerical value can be inputted.');
                $(this).val(result.toFixed(2));
            }
        });
        
        
        // main
        $('#page06 p.btn01 img').hover(function () {
            $(this).attr('src', 'images/06/btn_backto_on.png');
        },function () {
            $(this).attr('src', 'images/06/btn_backto_d.png');
        })
        .css('cursor', 'pointer')
        .click(function(){
            Controller.prototype.dispatch();
        });
    }
};

$(function(){
    Controller.prototype.dispatch();
});